After specifying a Target SRID with drag and drop, QGIS still opens the CRS dialog
Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 15198

Description

When dropping a .shp file into a PG connection, we can specify a Target SRID. However, after pressing OK, the Coordinate Reference

System Selector dialog still opens. This should be unnecessary if a valid SRID has been input.

Another typo note: if a non integer is input, the following error message is displayed:

Invalid target srid: must be and integer

Should read

Invalid target srid: must be an integer

History

#1 - 2012-06-09 10:18 AM - Giuseppe Sucameli

To avoid QGis displays that dialog probably the only way is to disable the user option by code and re-enabling it after the layer CRS is set. I'll do further

investigation.

About the typo, it was already fixed in QGis master.

BTW I'm going to align the version on my GH repo to the one on the QGis master branch.

#2 - 2013-01-18 01:34 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Project changed from 27 to QGIS Application

#3 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#4 - 2014-10-28 04:11 PM - Jürgen Fischer

- Status changed from Open to Feedback

No reproducable - might be fixed.

#5 - 2015-05-10 02:22 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
closing for lack of feedback.
